Debian Bug report logs - #433536
svn-inject -l 2 fails on non-empty repo

version graph

Package: svn-buildpackage; Maintainer for svn-buildpackage is svn-buildpackage maintainers <svn-bp-devel@lists.alioth.debian.org>; Source for svn-buildpackage is src:svn-buildpackage.

Reported by: Joey Hess <joeyh@debian.org>

Date: Tue, 17 Jul 2007 18:54:03 UTC

Severity: important

Merged with 443923

Found in version svn-buildpackage/0.6.21

Fixed in version svn-buildpackage/0.6.22

Done: Eddy Petrișor <eddy.petrisor@gmail.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Eduard Bloch <blade@debian.org>:
Bug#433536; Package svn-buildpackage. Full text and rfc822 format available.

Acknowledgement sent to Joey Hess <joeyh@debian.org>:
New Bug report received and forwarded. Copy sent to Eduard Bloch <blade@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Joey Hess <joeyh@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: svn-inject -l 2 fails on non-empty repo
Date: Tue, 17 Jul 2007 14:53:21 -0400
[Message part 1 (text/plain, inline)]
Package: svn-buildpackage
Version: 0.6.21
Severity: normal

joey@kodama:~>svnadmin create /tmp/repo
joey@kodama:~>svn-inject -l 2 ~/lib/debian/unstable/xtris_1.15-6.dsc file:///tmp/repo/trunk
Use of uninitialized value in addition (+) at /usr/bin/svn-inject line 142.

Despite that unintialised value, which should be fixed, the svn-inject
works ok, using layout 2.

But then, if I want to inject a second package into the same repo:

joey@kodama:~>svn-inject -l 2 ~/lib/debian/unstable/xbl_1.1.5-2.dsc file:///tmp/repo
Use of uninitialized value in addition (+) at /usr/bin/svn-inject line 142.
cp -l /home/joey/lib/debian/unstable/xbl_1.1.5.orig.tar.gz /home/joey/tarballs
mkdir -p branches/upstream/xbl
tar -z -x -f /home/joey/lib/debian/unstable/xbl_1.1.5.orig.tar.gz
mv xbl-1.1.5 current
svn -q import -m [svn-inject] Installing original source of xbl . file:///tmp/repo
svn: File already exists: filesystem '/tmp/repo/db', transaction '7-1', path 'branches'
Command svn -q import -m [svn-inject] Installing original source of xbl . file:///tmp/repo failed in <unknown>, how to continue now? [Qri?]: 

If I ignore all the errors, I get a repo that has xbl in trunk/ and tags/,
but not in branches/

-- System Information:
Debian Release: lenny/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'testing'), (1, 'experimental')
Architecture: i386 (i686)

Kernel: Linux 2.6.20-1-686 (SMP w/1 CPU core)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages svn-buildpackage depends on:
ii  devscripts                 2.10.6        Scripts to make the life of a Debi
ii  file                       4.21-1        Determines file type using "magic"
ii  libsvn-perl                1.4.4dfsg1-1  Perl bindings for Subversion
ii  liburi-perl                1.35.dfsg.1-1 Manipulates and accesses URI strin
ii  perl                       5.8.8-7       Larry Wall's Practical Extraction 
ii  subversion                 1.4.4dfsg1-1  Advanced version control system
ii  unp                        1.0.12        unpack (almost) everything with on
ii  wget                       1.10.2-3      retrieves files from the web

svn-buildpackage recommends no packages.

-- no debconf information

-- 
see shy jo
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Eduard Bloch <blade@debian.org>:
Bug#433536; Package svn-buildpackage. Full text and rfc822 format available.

Acknowledgement sent to Joey Hess <joeyh@debian.org>:
Extra info received and forwarded to list. Copy sent to Eduard Bloch <blade@debian.org>. Full text and rfc822 format available.

Message #10 received at 433536@bugs.debian.org (full text, mbox):

From: Joey Hess <joeyh@debian.org>
To: 433536@bugs.debian.org
Subject: patch
Date: Thu, 26 Jul 2007 19:22:20 -0400
[Message part 1 (text/plain, inline)]
Here's a patch for this. The problem was that branches/upstream already
exists in the repo, so importing that directory won't work. Instead, it
has to import branches/upstream/<package>. 

I also chose to make it svn mkdir branches/upstream, in case it didn't
exist yet. Only problem with that is there are some ugly messages if it
does exist. This could be improved by only creating the directories if
they don't already exist.

Anyhow, patch works, and attached.

-- 
see shy jo
[svn-inject.patch (text/x-diff, attachment)]
[signature.asc (application/pgp-signature, inline)]

Tags added: patch Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. (Thu, 26 Jul 2007 23:33:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Eduard Bloch <blade@debian.org>:
Bug#433536; Package svn-buildpackage. Full text and rfc822 format available.

Acknowledgement sent to "Eddy Petrişor" <eddy.petrisor@gmail.com>:
Extra info received and forwarded to list. Copy sent to Eduard Bloch <blade@debian.org>. Full text and rfc822 format available.

Message #17 received at 433536@bugs.debian.org (full text, mbox):

From: "Eddy Petrişor" <eddy.petrisor@gmail.com>
To: "Joey Hess" <joeyh@debian.org>, 433536@bugs.debian.org
Subject: Re: Bug#433536: patch
Date: Wed, 1 Aug 2007 13:02:50 +0300
On 27/07/07, Joey Hess <joeyh@debian.org> wrote:
> Here's a patch for this. The problem was that branches/upstream already
> exists in the repo, so importing that directory won't work. Instead, it
> has to import branches/upstream/<package>.
>
> I also chose to make it svn mkdir branches/upstream, in case it didn't
> exist yet. Only problem with that is there are some ugly messages if it
> does exist. This could be improved by only creating the directories if
> they don't already exist.
>
> Anyhow, patch works, and attached.

Thanks for the patch. I have worked a little during the vacation on
bugs 411666 and 419996 and produced a patch which conflicts with yours
and I feel that we both felt that directory creation needs to be done
in saner way anyway (or on a need to do basis).

You can see the changes online:

http://svn.debian.org/wsvn/collab-maint?op=comp&compare%5B%5D=%2Fdeb-maint%2Fsvn-buildpackage%2Ftrunk@3953&compare%5B%5D=%2Fdeb-maint%2Fsvn-buildpackage%2Ftrunk@4013


So I think I'll make a function that handles svn directory creation to
be sure weird bugs like 411666, 419996 and 433536 don't appear anytime
soon.

As Gonéri told me some time ago, svn-buildpackage itself is ok, but
all other scripts need some love.

(Of course, patches are welcome and I'll work on merging your patch).

-- 
Regards,
EddyP
=============================================
"Imagination is more important than knowledge" A.Einstein

Information forwarded to debian-bugs-dist@lists.debian.org, Eduard Bloch <blade@debian.org>:
Bug#433536; Package svn-buildpackage. Full text and rfc822 format available.

Acknowledgement sent to Eddy Petrișor <eddy.petrisor@gmail.com>:
Extra info received and forwarded to list. Copy sent to Eduard Bloch <blade@debian.org>. Full text and rfc822 format available.

Message #22 received at 433536@bugs.debian.org (full text, mbox):

From: Eddy Petrișor <eddy.petrisor@gmail.com>
To: 434932@bugs.debian.org, 433536@bugs.debian.org
Subject: l2 issues should be soon over
Date: Sat, 29 Sep 2007 01:44:46 +0300
[Message part 1 (text/plain, inline)]
Hello,

Just wantedt to announce that the issues related to layout 2 injects and
upgrades should be soon over.

I have found the time to work on this issue and I have made a special branch[1]
especially for this. The work is almost complete (I just need to make some tests
first - that maybe in a form that it is possible to reuse on the future test
frame of svn-bp[2]).


Eager people can try the package directly from the svn branch[1] I was talking
about[*][**] - svn-buildpackage should work on svn-buildpackage's repo :-)




[1]
svn+ssh://svn.debian.org/svn/collab-maint/deb-maint/svn-buildpackage/branches/svnmkdir-p
or
svn://svn.debian.org/svn/collab-maint/deb-maint/svn-buildpackage/branches/svnmkdir-p

[2]
svn+ssh://svn.debian.org/svn/collab-maint/deb-maint/svn-buildpackage/branches/test-suite-support
or
svn://svn.debian.org/svn/collab-maint/deb-maint/svn-buildpackage/branches/test-suite-support

[*] the branch hasn't been merged yet in trunk due to lack of testing and
because there are still some minor points that need to be closed
[**] don't forget to downgrade the version

-- 
Regards,
EddyP
=============================================
"Imagination is more important than knowledge" A.Einstein

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Eduard Bloch <blade@debian.org>:
Bug#433536; Package svn-buildpackage. Full text and rfc822 format available.

Acknowledgement sent to Eddy Petrișor <eddy.petrisor@gmail.com>:
Extra info received and forwarded to list. Copy sent to Eduard Bloch <blade@debian.org>. Full text and rfc822 format available.

Message #27 received at 433536@bugs.debian.org (full text, mbox):

From: Eddy Petrișor <eddy.petrisor@gmail.com>
To: 433536@bugs.debian.org, 443923@bugs.debian.org, control@bugs.debian.org
Subject: same bug
Date: Sat, 29 Sep 2007 02:43:28 +0300
[Message part 1 (text/plain, inline)]
forcemerge 443923 433536
retitle 443923 svn-inject should make sure all Url directories are created
severity 443923 important
thanks

Hello,

Julian correctly identified that the problem is the same as the one reported in
433536.

This will be fixed in the next version of svn-buildpackage[1]

[1] not setting the pending tag yet since the work is done in a branch.

-- 
Regards,
EddyP
=============================================
"Imagination is more important than knowledge" A.Einstein

[signature.asc (application/pgp-signature, attachment)]

Forcibly Merged 433536 443923. Request was from Eddy Petrișor <eddy.petrisor@gmail.com> to control@bugs.debian.org. (Fri, 28 Sep 2007 23:45:03 GMT) Full text and rfc822 format available.

Severity set to `important' from `normal' Request was from Eddy Petrișor <eddy.petrisor@gmail.com> to control@bugs.debian.org. (Fri, 28 Sep 2007 23:45:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Eduard Bloch <blade@debian.org>:
Bug#433536; Package svn-buildpackage. Full text and rfc822 format available.

Acknowledgement sent to Eddy Petrișor <eddy.petrisor@gmail.com>:
Extra info received and forwarded to list. Copy sent to Eduard Bloch <blade@debian.org>. Full text and rfc822 format available.

Message #36 received at 433536@bugs.debian.org (full text, mbox):

From: Eddy Petrișor <eddy.petrisor@gmail.com>
To: control@bugs.debian.org, 433536@bugs.debian.org, 443923@bugs.debian.org, 434932@bugs.debian.org
Subject: pending bugs
Date: Wed, 10 Oct 2007 13:48:57 +0300
[Message part 1 (text/plain, inline)]
# svnmkdir-p branch has been merged to trunk
tag 433536 pending
tag 443923 pending
tag 434932 pending
thanks

Hello,

The pending changes for these bugs have been merged to trunk, but since the
pending release has many changes I have decided to upload the package to
experimental.

You can get, the package from my Alioth web space:
http://users.alioth.debian.org/~eddyp-guest/upload/svn-buildpackage_0.6.22-experimental/

Or you can dget it directly:
http://users.alioth.debian.org/~eddyp-guest/upload/svn-buildpackage_0.6.22-experimental/svn-buildpackage_0.6.22.dsc

-- 
Regards,
EddyP
=============================================
"Imagination is more important than knowledge" A.Einstein

[signature.asc (application/pgp-signature, attachment)]

Tags added: pending Request was from Eddy Petrișor <eddy.petrisor@gmail.com> to control@bugs.debian.org. (Wed, 10 Oct 2007 10:57:05 GMT) Full text and rfc822 format available.

Tags added: pending Request was from Eddy Petrișor <eddy.petrisor@gmail.com> to control@bugs.debian.org. (Wed, 10 Oct 2007 10:57:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Eduard Bloch <blade@debian.org>:
Bug#433536; Package svn-buildpackage. Full text and rfc822 format available.

Acknowledgement sent to Damyan Ivanov <dam@modsoftsys.com>:
Extra info received and forwarded to list. Copy sent to Eduard Bloch <blade@debian.org>. Full text and rfc822 format available.

Message #45 received at 433536@bugs.debian.org (full text, mbox):

From: Damyan Ivanov <dam@modsoftsys.com>
To: debian-perl@lists.debian.org
Cc: 433536@bugs.debian.org
Subject: New svn-buildpackage with improved level 2 repository layout needs testing
Date: Wed, 10 Oct 2007 23:18:32 +0300
[Message part 1 (text/plain, inline)]
Dear Debian Perl Group,

Eddy Petrișor prepared[1] a new version of svn-buildpackage that is
supposed to fix the problems we have with the one currently in the
archive.

[1] http://users.alioth.debian.org/~eddyp-guest/upload/svn-buildpackage_0.6.22-experimental/

So, if you'd like to see this fixed, please give the package in the
above location a try and report any success/failure stories to
433536@bugs.debian.org (CC-ed).

I have two notes:
* build requires downloading of 300+ MB texlive stuff
  Perhaps this is unavoidable, but I mention it in case it is
* there are some worrying messages in the build, although it completed:
|debiandoc2pdf HOWTO.sgml
|defined(@array) is deprecated at /usr/bin/thumbpdf line 816.
|        (Maybe you should just omit the defined()?)
|sh: gs: command not found
|!!! Error: Closing Ghostscript (exit status: 127)!
|debiandoc2pdf: ERROR: thumbnail images could not be generated
|properly
|debiandoc2pdf: rerun with the -v option to found out why
|debiandoc2pdf: or check the log file HOWTO.log
|debiandoc2pdf HOWTO.sgml
|defined(@array) is deprecated at /usr/bin/thumbpdf line 816.
|        (Maybe you should just omit the defined()?)
|sh: gs: command not found
|!!! Error: Closing Ghostscript (exit status: 127)!
|debiandoc2pdf: ERROR: thumbnail images could not be
|generated properly
|debiandoc2pdf: rerun with the -v option to found out why
|debiandoc2pdf: or check the log file HOWTO.log

-- 
dam            JabberID: dam@jabber.minus273.org
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Eduard Bloch <blade@debian.org>:
Bug#433536; Package svn-buildpackage. Full text and rfc822 format available.

Acknowledgement sent to Damyan Ivanov <dmn@debian.org>:
Extra info received and forwarded to list. Copy sent to Eduard Bloch <blade@debian.org>. Full text and rfc822 format available.

Message #50 received at 433536@bugs.debian.org (full text, mbox):

From: Damyan Ivanov <dmn@debian.org>
To: debian-perl@lists.debian.org, 433536@bugs.debian.org
Subject: Re: New svn-buildpackage with improved level 2 repository layout needs testing
Date: Fri, 12 Oct 2007 23:45:20 +0300
[Message part 1 (text/plain, inline)]
-=| Damyan Ivanov, Wed, Oct 10, 2007 at 11:18:32PM +0300 |=-
> Eddy Petrișor prepared[1] a new version of svn-buildpackage that is
> supposed to fix the problems we have with the one currently in the
> archive.
> 
> [1] http://users.alioth.debian.org/~eddyp-guest/upload/svn-buildpackage_0.6.22-experimental/

Peter Makholm was so kind to try this and unfortunately the news are
not very good.

http://pastebin.ca/734528
 1. makholm@builder:~/ack$ svn-inject -l2 libfile-next-perl_1.00-2.dsc
    svn+ssh://makholm@svn.debian.org/svn/pkg-perl/
 2. cp -l /home/makholm/ack/libfile-next-perl_1.00.orig.tar.gz
    /home/makholm/ack/tarballs
 3. mkdir -p branches/upstream/libfile-next-perl
 4. tar -z -x -f /home/makholm/ack/libfile-next-perl_1.00.orig.tar.gz
 5. mv File-Next-1.00 current
 6. svn -q import -m [svn-inject] Installing original source of
    libfile-next-perl libfile-next-perl/trunk
    svn+ssh://makholm@svn.debian.org/svn/pkg-perl/trunk/libfile-next-perl
 7. svn: 'libfile-next-perl/trunk' does not exist
 8. Command  svn -q import -m [svn-inject] Installing original source
    of libfile-next-perl libfile-next-perl/trunk
    svn+ssh://makholm@svn.debian.org/svn/pkg-perl/trunk/libfile-next-perl
    failed in <unknown>, how to continue now? [Qri?]: 

< brother> same issue if I try to svn-inject into a newly svnadmin
           creat'ed /tmp/repo

There is one good news -- svn-upgrade works with no problems :)
-- 
dam            JabberID: dam@jabber.minus273.org
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Eduard Bloch <blade@debian.org>:
Bug#433536; Package svn-buildpackage. Full text and rfc822 format available.

Acknowledgement sent to Eddy Petrișor <eddy.petrisor@gmail.com>:
Extra info received and forwarded to list. Copy sent to Eduard Bloch <blade@debian.org>. Full text and rfc822 format available.

Message #55 received at 433536@bugs.debian.org (full text, mbox):

From: Eddy Petrișor <eddy.petrisor@gmail.com>
To: 433536@bugs.debian.org, control@bugs.debian.org, debian-perl@lists.debian.org
Subject: svn-inject issues fixed
Date: Sun, 14 Oct 2007 03:06:29 +0300
[Message part 1 (text/plain, inline)]
tags 433536 -patch
thanks

Hello,

I have managed to weed out the bug that was still affecting avn-inject. In the
course of doing that I have also abstracted a lot the layout1/layout2
differences and I am really confident (after a huge set tests :-) ) that
svn-inject is in a better shape that it ever was.

The new package still hasn't the version number bumped and it can be found at
the same location:

http://users.alioth.debian.org/~eddyp-guest/upload/svn-buildpackage_0.6.22-experimental/

Or you can dget it directly:
http://users.alioth.debian.org/~eddyp-guest/upload/svn-buildpackage_0.6.22-experimental/svn-buildpackage_0.6.22.dsc



Please test and report. If everything is ok, I'll make the proper adjustments
and ask for an upload to experimental (due to the big number of changes made in
this release).



Also, I want to apologize for the delay of this release.

-- 
Regards,
EddyP
=============================================
"Imagination is more important than knowledge" A.Einstein

[signature.asc (application/pgp-signature, attachment)]

Tags removed: patch Request was from Eddy Petrișor <eddy.petrisor@gmail.com> to control@bugs.debian.org. (Sun, 14 Oct 2007 00:18:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Eduard Bloch <blade@debian.org>:
Bug#433536; Package svn-buildpackage. Full text and rfc822 format available.

Acknowledgement sent to Peter Makholm <peter@makholm.net>:
Extra info received and forwarded to list. Copy sent to Eduard Bloch <blade@debian.org>. Full text and rfc822 format available.

Message #62 received at 433536@bugs.debian.org (full text, mbox):

From: Peter Makholm <peter@makholm.net>
To: Eddy Petrișor <eddy.petrisor@gmail.com>
Cc: 433536@bugs.debian.org, debian-perl@lists.debian.org
Subject: Re: Bug#433536: svn-inject issues fixed
Date: Sun, 14 Oct 2007 08:02:18 +0000
Eddy Petrișor <eddy.petrisor@gmail.com> writes:

> I have managed to weed out the bug that was still affecting avn-inject. In the
> course of doing that I have also abstracted a lot the layout1/layout2
> differences and I am really confident (after a huge set tests :-) ) that
> svn-inject is in a better shape that it ever was.

I successfully injected libfile-next-perl into the perl repository
using this version. 

//Makholm





Information forwarded to debian-bugs-dist@lists.debian.org, Eduard Bloch <blade@debian.org>:
Bug#433536; Package svn-buildpackage. Full text and rfc822 format available.

Acknowledgement sent to Eddy Petrișor <eddy.petrisor@gmail.com>:
Extra info received and forwarded to list. Copy sent to Eduard Bloch <blade@debian.org>. Full text and rfc822 format available.

Message #67 received at 433536@bugs.debian.org (full text, mbox):

From: Eddy Petrișor <eddy.petrisor@gmail.com>
To: 433536@bugs.debian.org
Cc: debian-perl@lists.debian.org, Eduard Bloch <edi@gmx.de>
Subject: Re: Bug#433536: svn-inject issues fixed
Date: Sun, 14 Oct 2007 21:04:55 +0300
[Message part 1 (text/plain, inline)]
Peter Makholm wrote:
> Eddy Petrișor <eddy.petrisor@gmail.com> writes:
> 
>> I have managed to weed out the bug that was still affecting avn-inject. In the
>> course of doing that I have also abstracted a lot the layout1/layout2
>> differences and I am really confident (after a huge set tests :-) ) that
>> svn-inject is in a better shape that it ever was.
> 
> I successfully injected libfile-next-perl into the perl repository
> using this version. 

I would greatly appreciate an upload to experimental.
The package needs to be dgot again (fixed also the errors Damyan pointed out):

http://users.alioth.debian.org/~eddyp-guest/upload/svn-buildpackage_0.6.22-experimental/svn-buildpackage_0.6.22.dsc

-- 
Regards,
EddyP
=============================================
"Imagination is more important than knowledge" A.Einstein

[signature.asc (application/pgp-signature, attachment)]

Reply sent to Eddy Petrișor <eddy.petrisor@gmail.com>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Joey Hess <joeyh@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #72 received at 433536-close@bugs.debian.org (full text, mbox):

From: Eddy Petrișor <eddy.petrisor@gmail.com>
To: 433536-close@bugs.debian.org
Subject: Bug#433536: fixed in svn-buildpackage 0.6.22
Date: Mon, 15 Oct 2007 07:17:02 +0000
Source: svn-buildpackage
Source-Version: 0.6.22

We believe that the bug you reported is fixed in the latest version of
svn-buildpackage, which is due to be installed in the Debian FTP archive:

svn-buildpackage_0.6.22.dsc
  to pool/main/s/svn-buildpackage/svn-buildpackage_0.6.22.dsc
svn-buildpackage_0.6.22.tar.gz
  to pool/main/s/svn-buildpackage/svn-buildpackage_0.6.22.tar.gz
svn-buildpackage_0.6.22_all.deb
  to pool/main/s/svn-buildpackage/svn-buildpackage_0.6.22_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 433536@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Eddy Petrișor <eddy.petrisor@gmail.com> (supplier of updated svn-buildpackage package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sun, 14 Oct 2007 14:03:49 +0300
Source: svn-buildpackage
Binary: svn-buildpackage
Architecture: source all
Version: 0.6.22
Distribution: experimental
Urgency: low
Maintainer: Eduard Bloch <blade@debian.org>
Changed-By: Eddy Petrișor <eddy.petrisor@gmail.com>
Description: 
 svn-buildpackage - helper programs to maintain Debian packages with Subversion
Closes: 408690 411666 414581 419996 423487 428225 428689 429024 433404 433536 434932 435746 436133 436554 443923
Changes: 
 svn-buildpackage (0.6.22) experimental; urgency=low
 .
   [ Eddy Petrișor ]
   * upload to experimental
   * IMPORTANT: changed default behaviour of saving the configuration in
     .svn/deb-layout by default to avoid stale data to override the
     configuration options that were updated in the repository.
     (Closes: #414581)
     As a consequence, a new option --svn-savecfg was added to allow a
     mechanism for easily overriding options locally
     The priority of the layout information should now be imported in the
     following order:
     properties -> debian/svn-deblayout -> .svn/deb-layout -> command line
 .
   [ Gonéri Le Bouder ]
   * SDCommon::sd_exit: read the parameter correctly is SDCommon::nosave=1
     (Closes: #428225)
 .
   [ Eddy Petrișor ]
   * s-u: when importing options from ~/.svn-buildpackage.conf, filter in
     only the valid options (Closes: #428689)
   * s-u: replace retcode with retval for consistency with svn-bp
   * s-i: manpage still claimed layout 2 was not implmented (Closes: #433404)
   * s-i: now really supports injects for layout 2 (with the disadvantage of
     not creating the tag directory)
   * s-i: no longer fails on initial checkout (Closes: 411666)
   * when using origUrl, make sure the origDir exists before downloading
     in it
   * s-i: man page: document the missing -o option (Closes: 419996, 435746)
   * s-u: complete the man page synopsis section (Closes: 436133)
   * s-b: do not require the build deps to be present when exporting
     (Closes: 423487); thanks Stefano Zacchiroli for the patch
   * SDcommon.pm: enhance the guessing algo of the layout to make svn-upgrade
     guess correctly on layout 2 repos; thanks Gregor Herrmann for the patch
     (Closes: 434932)
   * Makefile: the version of the package is placed quoted in "SDCommon.pm" so
     that versions like "0.6.22~bpo40+1" don't cause s-b to barf
   * s-i: fix 'Use of unitialized value at line 142'; patch thanks to
     Jeremiah Foster; (Closes: 436554)
   * SDCommon.pm: renamed function "such" to "search", not everybody knows
     German ;-)
   * s-b,s-i : add support for a custom SDCommon.pm used from the current
     directory (option is --svn-dbgsdcommon and --dbgsdcommon, respectively);
     for obvious reasons this option is not documented
   * s-b: some whitespace fixes
   * SDCommon.pm: implemented a function that emulates a 'mkdir -p'
     functionality for svn; this will allow an extended fix for #434932, not
     only the current work around
   * s-i: based on the mkdir-p functionality create missing directories on
     inject (Closes: 433536, 408690, 443923)
   * s-b: ditto for tag, retag operations (Closes: 429024)
   * do not ignore make clean errors anymore (makes a lintian warning go away)
   * remove duplicate call to debiandoc2pdf in doc/Makefile
   * s-i: abstracted more the layout information; this will make it possible
     to have an arbitary layout specified via overrides
   * added a NEWS file
   * add build depends on 'gs-gpl | gs' to prevent an ugly error message during
     the creation of HOWTO.pdf (debiandoc just recommends the package)
Files: 
 212bea17b9227053d765eb9621cd9459 680 devel extra svn-buildpackage_0.6.22.dsc
 94bf521dcff938980cd3489d43ee1544 57171 devel extra svn-buildpackage_0.6.22.tar.gz
 b9717b483541249d585a96eefe78d8e6 205134 devel extra svn-buildpackage_0.6.22_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFHExMWHqjlqpcl9jsRAoYoAJ0WL+4KyGwk8O/GPObCsEDQoCscswCfWEUR
CWYKsNpz4sbB2WqFiwVscI8=
=dxKe
-----END PGP SIGNATURE-----





Reply sent to Eddy Petrișor <eddy.petrisor@gmail.com>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Romain Beauxis <toots@rastageeks.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 17 Dec 2007 07:33:13 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 07:37:05 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.